#!/usr/bin/env ruby
# coding: utf-8
# 第2問
# 次のプログラムは、九九の表を出力させるものですが
# 間違えているので動きません。
# これを ~/Ruby/debug-j2135-2.rb という名前で作成し、
# 間違っている部分を修正してください。

gyou = 1
while gyou <= 9
  retsu = 0
  printf("%2d | ", gyou)
  while retsu < 9
    printf("%4d ", (retsu+=1)*gyou)
  end
  gyou += 1
  puts
end
